package main

import (
	"code.electrolab.fr/it/vote.electrolab.fr/application"
	"code.electrolab.fr/it/vote.electrolab.fr/pages"
	"fmt"
	"net/http"
	"os"
)

func main() {
	if err := Run(); err != nil {
		fmt.Fprintf(os.Stderr, "Fatal error: %s\n", err.Error())
	}
}

func Run() error {
	config, err := application.ReadConfigFile("config.json")
	if err != nil {
		return err
	}

	app, err := application.NewApp(config)
	if err != nil {
		return err
	}

	mux := http.NewServeMux()
	pages.RegisterRoutes(mux, app)

	fmt.Println("http://localhost:8081/votes")
	http.ListenAndServe(":8081", mux)

	return nil
}
